package br.com.tecpoint.api;

import com.sun.jna.Structure;

//typedef struct _tagDevices
/**
 * The DEVICES structure will contain the features of the device.
 * @author Cirilo
 * @version 1.00
 * @see getIDCardDescription
 */
public class Devices extends Structure {

    public Devices() {
        setAlignType(ALIGN_MSVC);
    }
    //char SerialNumber[11];      // Serial number
    public char[] serialNumber = new char[11];
    //BYTE FeederLimit;           // Valid values are 0(FF), 30(SF), 1(1F)
    public byte feederLimit;
    //BYTE MaxDPM;                // Valid values are 30, 60 and 90
    public byte maxDPM;
    //BOOL MicrE13B;              // TRUE means device available
    public boolean micrE13B;
    //BOOL MicrCMC7;              // TRUE means device available
    public boolean micrCMC7;
    //BOOL MicrAUTO;              // TRUE means device available
    public boolean micrAUTO;
    //BOOL Inkjet;                // TRUE means device available
    public boolean inkjet;
    //BOOL InkjetMultiline;       // TRUE means device available
    public boolean inkjetMultiline;
    //BOOL InkjetGraphic;         // TRUE means device available
    public boolean inkjetGraphic;
    //BYTE InkjetLines;           // Valid valus are 0 (Unlimited), 1,2 and 3 lines.
    public byte inkjetLines;
    //BOOL ImageFront;            // TRUE means device available
    public boolean imageFront;
    //BOOL ImageFrontClr;         // TRUE means device available
    public boolean imageFrontClr;
    //BOOL ImageFrontDropOut;     // TRUE means device available
    public boolean imageFrontDropOut;
    //BOOL ImageRear;             // TRUE means device available
    public boolean imageRear;
    //BOOL ImageRearClr;          // TRUE means device available
    public boolean imageRearClr;
    //BOOL ImageRearDropOut;      // TRUE means device available
    public boolean imageRearDropOut;
    //BOOL OcrAB;                 // TRUE means device available
    public boolean ocrAB;
    //BOOL OcrMicr;               // TRUE means device available
    public boolean ocrMicr;
    //BOOL OcrBarcode1D;          // TRUE means device available
    public boolean ocrBarcode1D;
    //BOOL OcrBarcode2D;          // TRUE means device available
    public boolean ocrBarcode2D;
}
