package br.com.tecpoint.api;
/**
 * Image property structure for setDeviceParameters
 * @author Cirilo Veloso
 * @version 1.00
 * @see setDeviceParameters
 */
public class ImageProperties {

    public ImageProperties() {
    }
    public int Format;      // Compression Format
    public int Paging;      // Single-pagefile or multi page TIFF file
    public int Resolution;  // Resolution (dpi)
    public int ColorDepth;  // 16, 64 or 256 gray levels
    public int Threshold;   // JPG quality Factor or G4 threshold
}
