package br.com.tecpoint.api;

import com.sun.jna.Structure;
//typedef struct _AParameter

/**
 * Parameter structure
 * @author Cirilo Veloso
 * @version 1.00
 * @see getSorterParameter()
 */
public class Parameter extends Structure {

    public Parameter() {
        setAlignType(Structure.ALIGN_MSVC); //Win32 aligned
    }
//  char sDescription[35];        // Meaning
    public StringBuffer sDescription = new StringBuffer(35);
//  char sUnit[5];               // Measurement Unit
    public StringBuffer sUnit = new StringBuffer(5);
//  USHORT usValue;              // Actual value
    public short usValue;
//  USHORT usDefault;            // Default value
    public short usDefault;
//  USHORT usMin;                // Max value
    public short usMin;
//  USHORT usMax;                // Min value
    public short usMax;
}
